Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gr.forth.ics.vrp.corevrp.vocabulary
Class rdf

    java.lang.Object
      |
      +--gr.forth.ics.vrp.corevrp.vocabulary.rdf

public class rdf
extends Object

rdf.java - Containing the parameters for the RDF namespaces.

Field Summary
`static String` | `about` Attribute from the RDF namespace: NS+"about"
`static String` | `Alt` Element from the RDF namespace: NS+"Alt"
`static String` | `Bag` Element from the RDF namespace: NS+"Bag"
`static String` | `bagID` Attribute from the RDF namespace: NS+"bagID"
`static ArrayList` | `Classes` The set of Classes from the RDF namespace.
`static String` | `datatype`
`static String` | `Description` Attribute from the RDF namespace: NS+"Description"
`static String` | `first`
`static String` | `ID` Attribute from the RDF namespace: NS+"ID"
`static String` | `li` List property for containers, will be translated in rdf:_nnn properties by the parser.
`static String` | `List`
`static String` | `msp` Element from the RDF namespace: NS+"_" (will be used to test the start of rdf:_n | n integer)
`static String` | `nil`
`static String` | `nodeID`
`static String` | `NS` The RDF namespace URL: "http://www.w3.org/1999/02/22-rdf-syntax-ns#"
`static String` | `NS0`
`static String` | `object` Element from the RDF namespace: NS+"object"
`static String` | `predicate` Element from the RDF namespace: NS+"predicate"
`static ArrayList` | `Properties` The set of Properties from the RDF namespace.
`static String` | `Property` Element from the RDF namespace: NS+"Property"
`static String` | `resource` Attribute from the RDF namespace: NS+"resource"
`static String` | `rest`
`static String` | `Seq` Element from the RDF namespace: NS+"Seq"
`static String` | `Statement` Element from the RDF namespace: NS+"Statement"
`static String` | `subject` Element from the RDF namespace: NS+"subject"
`static String` | `type` Element from the RDF namespace: NS+"type"
`static String` | `value` Element from the RDF namespace: NS+"value"
`static String` | `XMLLiteral`
`static String` | `XMLRep`

Constructor Summary
`rdf()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS

    public static final String NS

  The RDF namespace URL: "http://www.w3.org/1999/02/22-rdf-syntax-ns#"

  See Also:
    Constant Field Values

### NS0

    public static final String NS0

See Also:
  Constant Field Values

### Statement

    public static final String Statement

  Element from the RDF namespace: NS+"Statement"

  See Also:
    Constant Field Values

### Property

    public static final String Property

  Element from the RDF namespace: NS+"Property"

  See Also:
    Constant Field Values

### Bag

    public static final String Bag

  Element from the RDF namespace: NS+"Bag"

  See Also:
    Constant Field Values

### Seq

    public static final String Seq

  Element from the RDF namespace: NS+"Seq"

  See Also:
    Constant Field Values

### Alt

    public static final String Alt

  Element from the RDF namespace: NS+"Alt"

  See Also:
    Constant Field Values

### predicate

    public static final String predicate

  Element from the RDF namespace: NS+"predicate"

  See Also:
    Constant Field Values

### subject

    public static final String subject

  Element from the RDF namespace: NS+"subject"

  See Also:
    Constant Field Values

### object

    public static final String object

  Element from the RDF namespace: NS+"object"

  See Also:
    Constant Field Values

### type

    public static final String type

  Element from the RDF namespace: NS+"type"

  See Also:
    Constant Field Values

### value

    public static final String value

  Element from the RDF namespace: NS+"value"

  See Also:
    Constant Field Values

### ID

    public static final String ID

  Attribute from the RDF namespace: NS+"ID"

  See Also:
    Constant Field Values

### bagID

    public static final String bagID

  Attribute from the RDF namespace: NS+"bagID"

  See Also:
    Constant Field Values

### about

    public static final String about

  Attribute from the RDF namespace: NS+"about"

  See Also:
    Constant Field Values

### Description

    public static final String Description

  Attribute from the RDF namespace: NS+"Description"

  See Also:
    Constant Field Values

### resource

    public static final String resource

  Attribute from the RDF namespace: NS+"resource"

  See Also:
    Constant Field Values

### msp

    public static final String msp

  Element from the RDF namespace: NS+"_" (will be used to test the start of rdf:_n | n integer)

  See Also:
    Constant Field Values

### li

    public static final String li

  List property for containers, will be translated in rdf:_nnn properties by the parser.

  See Also:
    Constant Field Values

### List

    public static final String List

See Also:
  Constant Field Values

### first

    public static final String first

See Also:
  Constant Field Values

### rest

    public static final String rest

See Also:
  Constant Field Values

### nil

    public static final String nil

See Also:
  Constant Field Values

### datatype

    public static final String datatype

See Also:
  Constant Field Values

### nodeID

    public static final String nodeID

See Also:
  Constant Field Values

### XMLLiteral

    public static final String XMLLiteral

See Also:
  Constant Field Values

### Classes

    public static ArrayList Classes

  The set of Classes from the RDF namespace.

### Properties

    public static ArrayList Properties

  The set of Properties from the RDF namespace.

### XMLRep

    public static final String XMLRep

See Also:
  Constant Field Values

Constructor Detail

### rdf

    public rdf()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD